Subject: Re: slightly off topic: gnu make and VC++
From: [email-masked] (Jason M. Felice)

8 Nov 1997 11:49:25 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Since you have /NODEFAULTLIB:"libcd.lib" I'm assuming maybe you did a
debug build on some objs?  THis would make sense, since operator new() is
defined (overloaded, really) in the debug version of the library because
it checks some things and sets the memory to 0xFD so that you may find
uninitialized memory problems.  If you say cl -?, the last things will be
the -Mx options.  You may need to add one of these to your command line.
LIBC and LIBCD are not compatible.

On Sat, 8 Nov 1997, Ulrich Lauther wrote:

> Unnerved by VC++'s gui, I tried to convert a generated *.mak file
> to gnu make's syntax and to run make. This seems to work for generating
> objects, but in the link stage I get an anresolved extern "operator new()".
> link.exe seems to use some hidden libs, but I can't find out which ones.
> Can anybody help? Here is the link command and the error message (newlines
> inserted for readability):
> 
> 
> link.exe /LIBPATH:/programme/devstudio/vc/lib kernel32.lib user32.lib
>   gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib
>   oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib libc.lib
>   "C:\turbo\turbolib\turbod.lib" "C:\tcltk8.0\tcl80.lib"
>   "C:\tcltk8.0\tk80.lib" /nologo /subsystem:console /incremental:no
>   /machine:I386 /nodefaultlib:"libcd.lib" wincat.obj /out:"wincat.exe"
> 
>   libcid.lib(_ios.obj) : error LNK2001: unresolved external symbol
>   "void * __cdecl operator new(unsigned int,int,char const *,int)"
>   (??2@YAPAXIHPBDH@Z)
>   wincat.exe : fatal error LNK1120: 1 unresolved externals
> -- 
> 	-lauther
> 
> ----------------------------------------------------------------------------
> Ulrich Lauther          ph: +49 89 636 48834 fx: ... 636 42284
> Siemens ZT SE 4         Internet: [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".